## org.apache.mahout.common
Class TimingStatistics

    java.lang.Object
      org.apache.mahout.common.TimingStatistics

All Implemented Interfaces:
  Serializable

    public final class TimingStatistics

extends Object
implements Serializable

See Also:
  Serialized Form

Nested Class Summary
`class` `TimingStatistics.Call` A call object that can update performance metrics.
`class` `TimingStatistics.LeadTimeCall` Ignores counting the performance metrics.

Constructor Summary
`TimingStatistics()` Creates a new instance of CallStats
`TimingStatistics(int nCalls, long minTime, long maxTime, long sumTime, double sumSquaredTime)`

Method Summary
`long` `getMaxTime()`
`long` `getMeanTime()`
`long` `getMinTime()`
`int` `getNCalls()`
`long` `getStdDevTime()`
`double` `getSumSquaredTime()`
`long` `getSumTime()`
`TimingStatistics.Call` `newCall(long leadTimeUsec)` Ignores counting the performance metrics until leadTimeIsFinished The caller should enough time for the JIT to warm up.
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TimingStatistics

    public TimingStatistics()

  Creates a new instance of CallStats

### TimingStatistics

    public TimingStatistics(int nCalls,
                            long minTime,
                            long maxTime,
                            long sumTime,
                            double sumSquaredTime)

Method Detail

### getNCalls

    public int getNCalls()

### getMinTime

    public long getMinTime()

### getMaxTime

    public long getMaxTime()

### getSumTime

    public long getSumTime()

### getSumSquaredTime

    public double getSumSquaredTime()

### getMeanTime

    public long getMeanTime()

### getStdDevTime

    public long getStdDevTime()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### newCall

    public TimingStatistics.Call newCall(long leadTimeUsec)

  Ignores counting the performance metrics until leadTimeIsFinished The caller should enough time for the JIT to warm up.

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.